using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查明细人员表")]
    public class T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_USER : MesEntityBase
    {
        /// <summary>
        /// 检查记录明细表
        /// </summary>
        [Description("检查记录明细表")]
        [DataFieldForeignKey("Nav_CheckRecordDetail", "Nav_CheckRecordDetailUsers")]
        public Guid SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查记录明细表
        /// </summary>
        [Description("导航：检查记录明细表")]
        public virtual T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL Nav_CheckRecordDetail { get; set; }

        /// <summary>
        /// 检查明细人员
        /// </summary>
        [Description("检查明细人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航属性：检查明细人员
        /// </summary>
        [Description("导航：检查明细人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否记录人
        /// </summary>
        [Description("是否记录人")]
        public bool ISMAINCHECK { get; set; } = false;

        /// <summary>
        /// 是否确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; } = false;

        /// <summary>
        /// 确认时间
        /// </summary>
        [Description("确认时间")]
        public DateTime? CHECKTIME { get; set; }
    }
}
